call plug#begin('~/.config/nvim/plugged')

Plug 'itchyny/lightline.vim'

Plug 'arcticicestudio/nord-vim'

call plug#end()

set laststatus=2
let g:lightline = {
      \ 'colorscheme': 'nord',
      \ }
      
colorscheme nord
let g:nord_italic_comments = 1
let g:nord_italic = 1

filetype plugin on
set number
set showcmd
set path+=**
set wildmenu
set colorcolumn=80
set equalalways
set incsearch
set termguicolors
set ignorecase
set smartcase

" File browsing

let g:netrw_banner=0
let g:netrw_browser_split=4
let g:netrw_liststyle=3
let g:netrw_list_hide=netrw_gitignore#Hide()

" Mappings

nmap ,. :edit .<CR>
nmap ,f :find