#!/bin/sh

while true
do
	VOL=$(amixer get Master | awk 'FNR == 5 { print $4 }')
	MUTE="$(amixer get Master | awk 'FNR == 5 { print $6 }' | sed 's/\[on]//g')"
	RAM=$(free -m | awk '/^Mem/{ print $3 }')
	DATE=$(date +"%x %H:%M")

	xsetroot -name " VOL ${VOL}${MUTE} | RAM ${RAM} MB | ${DATE} "
	sleep 0.05s
done
